Summary:        Archiver for .arj files
Name:           arj
Version:        3.10.22
Release:    1%{?dist}
License:        GPL-2.0-or-later
URL:            http://arj.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        unarj.sh
Source2:        unarj.1
Patch0:         arj-3.10.22-arches_align.patch
Patch1:         arj-3.10.22-no_remove_static_const.patch
Patch2:         arj-3.10.22-64_bit_clean.patch
Patch3:         arj-3.10.22-parallel_build.patch
Patch4:         arj-3.10.22-use_safe_strcpy.patch
Patch5:         arj-3.10.22-doc_refer_robert_k_jung.patch
Patch6:         arj-3.10.22-security_format.patch
Patch7:         arj-3.10.22-missing-protos.patch
Patch8:         arj-3.10.22-custom-printf.patch
Patch9:         arj-3.10.22-quotes.patch
Patch10:        arj-3.10.22-security-afl.patch
Patch11:        arj-3.10.22-security-traversal-dir.patch
Patch12:        arj-3.10.22-security-traversal-symlink.patch
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  make
Provides:       unarj = %{version}-%{release}

%description
This package is an open source version of the arj archiver. It has
been created with the intent to preserve maximum compatibility and
retain the feature set of original ARJ archiver as provided by ARJ
Software, Inc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

pushd gnu
  autoconf
popd

%build
pushd gnu
  %configure
popd

%make_build ADD_LDFLAGS=""

%install
%make_install

install -D -p -m 644 resource/rearj.cfg.example %{buildroot}%{_sysconfdir}/rearj.cfg
install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/unarj
install -p -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/unarj.1

rm -f %{buildroot}%{_bindir}/arj-register
rm -f %{buildroot}%{_mandir}/man1/arj-register.1*

%files
%license doc/COPYING
%doc ChangeLog* doc/rev_hist.txt
%config(noreplace) %{_sysconfdir}/rearj.cfg
%{_bindir}/*arj*
%{_libdir}/arj/
%{_mandir}/man1/*arj*.1*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.22-1
- initial build
